rdf2dot=
@TARGET_RDF2DOT@ rdf2dot=rdf2dot

sbin_PROGRAMS = sereld serelc serelhistory lsb2rdf $(rdf2dot)

MAINTAINERCLEANFILES = Makefile.in

rdf_files = parselsb2rdf.h parselsb2rdf.c rdfconsturi.h rdfconsturi.c rdfcommon.c rdfcommon.h rdfserver.c rdfserver.h rdfservercallbacks.c rdfservercallbacks.h traverse.c traverse.h

serelc_SOURCES = client.c clienthandle.c command.c common.c log.c clienthandle.h command.h common.h log.h

serelhistory_SOURCES = serelhistory.c clienthandle.c command.c common.c log.c clienthandle.h command.h common.h log.h

sereld_SOURCES = command.c command.h common.c common.h edge.c edge.h fsm.c fsm.h log.c log.h msgqueue.c msgqueue.h node.c node.h persist.c persist.h pidmap.c pidmap.h server.c servercallbacks.c servercallbacks.h servercommon.c servercommon.h serverconfig.c serverconfig.h serverhandle.c serverhandle.h serviceid.c serviceid.h $(rdf_files)

@TARGET_RDF2DOT@ rdf2dot_SOURCES = rdf2dot.c common.h common.c rdfconsturi.h rdfconsturi.c rdfcommon.c rdfcommon.h servercommon.h servercommon.c traverse.c traverse.h

lsb2rdf_SOURCES = lsb2rdf.c common.h common.c  parselsb2rdf.h parselsb2rdf.c log.h log.c rdfconsturi.h rdfconsturi.c rdfcommon.c rdfcommon.h servercommon.c servercommon.h serverconfig.h serverconfig.c

INCLUDES      = $(glib_INCLUDES)
sereld_LDADD  = $(rdf_LIBS)
@TARGET_RDF2DOT@ rdf2dot_LDADD = $(rdf_LIBS)
lsb2rdf_LDADD = $(rdf_LIBS)

## Miscellaneous bits used during testing and debugging
## CFLAGS = -DSEREL_SERVER_NO_RDF
## CFLAGS = -Wall
## CFLAGS = -DSEREL_DEBUG_MEMORY_DMALLOC -DSEREL_SERVER_NO_RDF
## -ldmalloc
